# Set the reflection schedule

`PUT /agents/{id}/reflection` · Rivier · agents

Set the reflection schedule.

- Scope: agents:write
- Mcp: rivier_personas_reflection_schedule_set
- Graphql: Mutation.agentsReflectionSet
- Sdk: agents.reflection.set
- Cli: agents reflection set

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/agents/{id}/reflection' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
